package net.wanji.common.enums;


public enum FormOfWayEnum {


    /**
     * FormOfWay
     */
    FORMOFWAY_1(1,"上下线分离"),
    FORMOFWAY_2(2,"交叉点内"),
    FORMOFWAY_3(3,"JCT"),
    FORMOFWAY_4(4,"环岛"),
    FORMOFWAY_5(5,"引路"),
    FORMOFWAY_53(53,"服务区+JCT"),
    FORMOFWAY_56(56,"服务区+引路"),
    FORMOFWAY_58(58,"服务区+引路+JCT"),
    FORMOFWAY_6(6,"引路"),
    FORMOFWAY_7(7,"辅路"),
    FORMOFWAY_8(8,"引路+JCT"),
    FORMOFWAY_9(9,"出口"),
    FORMOFWAY_10(10,"入口"),
    FORMOFWAY_11(11,"右转车道A"),
    FORMOFWAY_12(12,"右转车道B"),
    FORMOFWAY_13(13,"左转车道A"),
    FORMOFWAY_14(14,"左转车道B"),
    FORMOFWAY_15(15,"左右转车道"),
    FORMOFWAY_16(16,"普通道路"),
    FORMOFWAY_17(17,"非机动车道借道");


    private int code;
    private String name;

    private FormOfWayEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }

    public int getCode() {
        return this.code;
    }

    public String getName() {
        return this.name;
    }

}
