package net.wanji.common.framework.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *  导入表
 *
 * @author wanji
 * @date 2020/3/18
 */
@Data
@ApiModel(value = "Table", description = "导入表")
public class Table extends TrackableEntity {

    @ApiModelProperty(value = "中文表名")
    private String nameCn;

    @ApiModelProperty(value = "英文表名")
    private String nameEn;

    @ApiModelProperty(value = "oracle表所属模式名")
    private String schemaName;

    @ApiModelProperty(value = "表描述信息")
    private String des;
}
