package net.wanji.common.action;

import net.wanji.common.enums.Datatype;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.compress.utils.Lists;

import java.util.List;

/**
 * <>
 *
 * @author wanji
 * 2020/6/7 21:50
 */
@Getter
@Setter
public class Method {
    private String label;
    private String methodName;
    /**
     * {@link Datatype}
     */
    private String datatype;
    private List<Parameter> parameters;

    public void addParameter(Parameter parameter) {
        if (this.parameters == null) {
            this.parameters = Lists.newArrayList();
        }

        this.parameters.add(parameter);
    }
}
