package net.wanji.common.enums;


public enum RoadClassEnum {


    /**
     * FormOfWay
     高速公路	41000
     城市快速路	43000
     国道	42000
     主要道路	44000
     省道	51000
     主要道路	44000
     县道	52000
     次要道路	45000
     乡镇道路	53000
     普通道路	47000
     */
    ROADCLASS_41000("41000","高速公路"),
    ROADCLASS_42000("42000","国道"),
    ROADCLASS_43000("43000","城市快速路"),
    ROADCLASS_44000("44000","主要道路"),
    ROADCLASS_45000("45000","次要道路"),
    ROADCLASS_47000("47000","普通道路"),
    ROADCLASS_51000("51000","51000"),
    ROADCLASS_52000("52000","县道"),
    ROADCLASS_53000("53000","乡镇道路");



    private String code;
    private String name;

    private RoadClassEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return this.code;
    }

    public String getName() {
        return this.name;
    }

}
