package net.wanji.common.enums;

/**
 * @author hfx
 * @date 2023/1/28 15:37
 * @desc WeekEnum
 */
public enum WeekEnum {

    DEFAULT(0, "特殊日期"),
    MONDAY(1, "星期一"),
    TUESDAY(2,"星期二"),
    WEDNESDAY(3,"星期三"),
    THURSDAY(4,"星期四"),
    FRIDAY(5,"星期五"),
    SATURDAY(6,"星期六"),
    SUNDAY(7,"星期日");

    private Integer code;
    private String name;

    WeekEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public Integer getCode() {
        return this.code;
    }

    public String getName() {
        return this.name;
    }

}
