package net.wanji.common.framework.i18n;

/**
 * @Description:国际化中，中文定义的词条
 * @return
 * @Author wanji
 * @Date 2019/11/30 11:19
 **/
public final class Constants {

    public static final String SAVE_SUCCESS_MSG = "数据保存成功！";
    public static final String SAVE_FAILED_MSG = "数据保存失败！";
    public static final String GET_FAILED_MSG = "获取数据失败！";
    public static final String DELETE_FAILED_MSG = "删除数据失败！";
    public static final String UPDATE_FAILED_MSG = "更新数据失败！";
    public static final String BATCHSAVE_FAILED_MSG = "批量保存数据失败！";
    public static final String BATCHUPDATE_FAILED_MSG = "批量更新数据失败！";
    public static final String GET_CARD_ALLUSER_FAILED_MSG = "获取待生成名片的企业用户列表失败！";
    public static final String PASSWORD_FALED = "您输入的密码不正确，请检查后重新提交！";
    public static final String SAVE_CARD_FAILED_MSG = "保存名片失败！";
    public static final String GET_CATALOG_FALED_MSG = "获取目录失败！";
    public static final String PANEL_MENU_REST_SERVER_GET_TREEMENU_ERROR = "获取树形菜单列表失败！";
    public static final String ENGINE_DEPLOY_REST_SERVER_OPTIONAL_SERVER_ERROR = "获取可部署的服务器失败！";
    public static final String LACK_OF_PARAMETER = "缺失必要参数！";
    public static final String USER_NAME_CANNOT_USERINFO = "根据用户名无法获取该用户信息！";
    public static final String PASSWORD_ERROR = "密码错误！";
    public static final String FAILED_TO_CANCEL_USER_ROLE_ASSIGNMENT = "取消用户角色分配失败！";
    public static final String GET_ROLE_LIST_FAILED = "获取用户列表失败！";
    public static final String USER_NAME_NO_EXIST = "用户名不存在！";
    public static final String USER_DELETE = "此用户已删除！";
    public static final String USER_OVERDUE = "用户过期！";
    public static final String USER_NAME_NO_FIND_USER_INFO = "根据用户名无法获取该用户信息！";
    public static final String AGAIN_LOGIN = "请重新登录！";
    public static final String EXIT_LOGIN_SUCCESS = "退出登录成功！";
    public static final String MESSAGE_FAIL = "操作失败！";
    public static final String MESSAGE_SUCCESS = "操作成功！";
    public static final String MESSAGE_PARAM_ERROR = "参数错误！";
    public static final String MESSAGE_LOGIN_SUCCESS = "登录成功";
    public static final String CREATE_SUCCESS = "创建成功";
    public static final String CREATE_TABLE_FAILE = "创建表失败";
    public static final String DELETE_SUCCESS = "删除成功";
    public static final String DELETE_TABLE_FAILE = "删除表失败";
    public static final String DELETE_TABLE_FIELD_FAILE = "删除表字段失败";
    public static final String GET_LIST_IMPORT_TABLE_FAILE = "获取可导入列表失败";
    public static final String DICTIONARY_NO_KEY_VALUE = "该字典下无此键值对";
    public static final String CONFIGURATION_CONDITIONS_IS_NULL = "配置条件含空";
    public static final String CONFIGURATION_VALUES_IS_NULL = "配置值含空";
    public static final String CONFIGURATION_PARAMETER_FORMAT_FAILE = "配置参数格式错误";
    public static final String CONFIGURATION_SUCCESS = "配置成功";
    public static final String CONFIGURATION_FAILE = "配置失败";
    public static final String SUCCESS_TABLE_FIELD_ARRAY_FAILE = "保存表字段数组失败";
    public static final String CHOOSE_JAR_UPLOAD = "请选择一个jar包上传";
    public static final String JAR_EXIST = "jar包已存在";
    public static final String JAR_UPLOAD_SUCCESS = "jar包上传成功";
    public static final String JAR_UPLOAD_FAILE = "jar包上传失败";
    public static final String JAR_DELETE_FAILE = "jar包删除失败";
    public static final String GET_JAR_SUCCESS = "获取jar包成功";
    public static final String GET_JAR_FAILE = "获取jar包失败";
    public static final String IO_CLOSE_FAILE = "流关闭失败";
    public static final String GET_FILE_FUNCTION_FAILE = "获取json文件中函数失败";
    public static final String GET_FILE_LIST_FAILE = "获取文件名列表失败";
    public static final String GET_FILE_LOG_CONTENT = "获取日志文件内容";
    public static final String DELETE_FILE_LOG_SUCCESS = "删除日志文件成功";
    public static final String DELETE_FILE_LOG_FAILE = "删除日志文件失败";
    public static final String FILE_NO_FIND = "文件不存在";
    public static final String DOWLOAD_FAILE = "下载失败";
    public static final String DOWLOAD_SUCCESS = "下载成功";
    public static final String GET_DEPLOY_FAILE = "获取已部署服务器失败";
    public static final String GET_LOG_FILE_LIST_FAILE = "日志文件列表获取失败";
    public static final String READ_LOG_FILE_FAILE = "日志文件读取失败";
    public static final String CLOSE_SERVER = "已关闭远程连接";
    public static final String GET_LOWER_MENU_ERROR = "获取上级目录失败";
    public static final String GET_ALL_TREE_MENU_ERROR = "获取树形菜单列表失败";
    public static final String GET_TOP_TREE_MENU_ERROR = "获取顶级树形菜单列表失败";
    public static final String BATCH_UPDATE_MENU_LIST_IS_NULL = "批量更改列表为空";
    public static final String UPDATE_BATCH_MENU_LIST_ERROR = "更改菜单列表失败";
    public static final String GET_VALUE_BY_KEY_ERROR = "获取失败";
    public static final String DELETE_PLUGIN_ERROR = "删除插件失败";
    public static final String GET_SERVICE_LIST_ERROR = "获取服务列表失败";
    public static final String ADD_PARAMETER_ERROR = "添加参数失败";
    public static final String PARAM_TABLE_ID_IS_NULL = "参数中未包含业务表id";
    public static final String AUTO_CREATE_INTERFACE_ERROR = "自动生成业务表基础接口失败";
    public static final String GET_PARAM_LIST_FAILE = "获取参数列表失败";
    public static final String GET_INTERFACE_FIELD_LIST_FAILE = "获取接口字段列表失败";
    public static final String PARAM_FORMAT_FAILE = "参数格式有误";
    public static final String SERVICE_ID_IS_NULL = "服务id为空";
    public static final String GET_SERVICE_BUILDER_ERROR = "生成接口信息失败";
    public static final String GET_PLUGIN_SUCCESS = "获取插件成功";
    public static final String GET_PLUGIN_FAILE = "获取插件失败";
    public static final String GET_TEMPLATE_INTERFACE_SUCCESS = "获取模块接口成功";
    public static final String SAVE_DATA_IS_NULL = "保存数据为空";
    public static final String PARAM_IS_NULL = "传入参数为空";
    public static final String IMPPORT_TABLE_FAILE = "导入表失败";
    public static final String GET_IMPORT_SUCCESS = "获取可导入模式成功";
    public static final String GET_IMPORT_FAILE = "获取可导入模式失败";
    public static final String GET_IMPORT_TABLE_SUCCESS = "获取可导入表成功";
    public static final String GET_IMPORT_TABLE_FAILE = "获取可导入表失败";
    public static final String CREATE_PROXY_SUCCESS = "生成代理成功";
    public static final String PARAM_DATABASE_ID_IS_NULL = "参数中未包含数据库id";
    public static final String CERT_FILE_IS_NULL = "请选择证书文件";
    public static final String CERT_UPLOAD_FAILE = "证书上传失败";
    public static final String CHECK_CONFIG_IS_NULL = "未勾选配置";
    public static final String TEST_INTERFACE_SERVICE_FAILE = "测试接口服务失败";
    public static final String GET_LIST_ALL_SCHEDULE_MENU_ERROR = "获取所有调度任务目录失败";
    public static final String START_SUCCESS = "启动成功";
    public static final String START_FAIL = "启动失败";
    public static final String STOP_SUCCESS = "停止成功";
    public static final String STOP_FAILE = "停止失败";
    public static final String GET_SCHEDULE_LIST_ERROR = "获取调度列表失败";
    public static final String PAGE_UPLOAD_SUCCESS = "页面上传成功";
    public static final String PAGE_UPLOAD_FAILE = "页面上传成功";
    public static final String APPLICATION_CATEGORY_CONTAINS_APPLICATION_DELETE_FAILE = "该应用类别仍含有应用,无法删除";
    public static final String GET_CARD_LIST_MENU_PERMISSION_FAILE = "获取名片列表时联查菜单权限失败";
    public static final String DIRECTORY_TREE_IS_DIRTY_NULLPOINTEREXCEPTION = "装配目录树因脏数据导致空指针异常";
    public static final String USER_NAME_IS_NULL = "用户姓名为空";
    public static final String USER_PHONE_IS_NULL = "手机号为空";
    public static final String GET_TREE_MENU_LIST_FAILE = "获取树形菜单列表失败";
    public static final String GET_FILE_LIST_SUCCESS = "获取文件名列表成功";
    public static final String GET_FILE_MESSAGE_SUCCESS = "获取文件内容成功";
    public static final String GET_DEPLOY_SERVER_SUCCESS = "获取已部署服务器成功";
    public static final String GET_STATUS_FAILE = "获取未读或已读消息失败";
    public static final String GET_QUERY_HISTORY_MESSAGE_SUCCESS = "查询历史消息成功";
    public static final String GET_MESSAGE_SUBSCRIBE_HAVE_DATA = "消息订阅有数据不能删除";
    public static final String GET_MESSAGE_FILTER_HAVE_DATA = "消息过滤有数据，不能删除";
    public static final String DELETE_DATA_SUCCESS = "数据删除成功";
    public static final String DELETE_DATA_FAILE = "数据删除失败";
    public static final String LOGIN_SERVES_SUCCESS = "登陆服务器成功";
    public static final String GET_LOG_FAILE = "该目录下无指定日志级别文件";
    public static final String GET_REMOTE_SERVICE_LOG_FAILE = "读取远程服务器日志失败";
    public static final String GET_REMOTE_SERVICE_LOG_SUCCESS = "读取远程服务器日志成功";
    public static final String DOWNLOAD_REMOTE_SERVICE_LOG_SUCCESS = "下载远程服务器日志成功";
    public static final String DELETE_REMOTE_SERVICE_LOG_SUCCESS = "删除远程服务器日志成功";
    public static final String GET_LOG_FILE_LIST_SUCCESS = "获取日志文件列表成功";
}
