package net.wanji.common.utils.tool;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

public class MD5Util {

    private static char[] hexDigits = {'0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'a', 'b', 'c', 'd', 'e', 'f'};

    public static String md5(String str) {
        MessageDigest md5 = null;
        try {
            md5 = MessageDigest.getInstance("MD5");
        } catch (NoSuchAlgorithmException e) {
            e.printStackTrace();
        }
        if (md5 != null) {
            md5.update(str.getBytes());
            byte[] encodeBytes = md5.digest();
            char[] encodeStr = new char[encodeBytes.length * 2];
            int k = 0;
            for (byte encodeByte : encodeBytes) {
                encodeStr[k++] = hexDigits[encodeByte >> 4 & 0xf];
                encodeStr[k++] = hexDigits[encodeByte & 0xf];
            }
            return new String(encodeStr);
        }
        return null;
    }

    public static void main(String[] args) {
        String str = "1115240";
        System.out.println(str);
        System.out.println(MD5Util.md5(str));
        //58ce73cce2c01d8ef87016c274cb593b
    }

}
